IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[mps_g_depart_pflevel]') AND type = 'P')
DROP PROCEDURE [dbo].[mps_g_depart_pflevel]
GO
CREATE procedure [dbo].[mps_g_depart_pflevel](
@cmpid int ,
@mybcid int 
)
as 
begin
  -- 返回部门岗位
  set nocount on
  select distinct  dp_id, bg_grade , dp_fullname+'/'+bg_caption  dp_fullname ,dp_level , dp_order 
  from mps_depart ,  mps_profession_grade
  where dp_cmpid=@cmpid and dp_bcid=@mybcid  and dp_fullname>'' and bg_caption>''  and dp_isdepart=0 
  order by dp_level , dp_order , bg_grade 
  set nocount off
end